Bug Hunting Session
Bug 118204 - Paragraph format: Area fill also displayed in space between paragraphs
Summary: Paragraph format: Area fill also displayed in space between paragraphs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph Area-Fill-Tab-Color
  Show dependency treegraph
 
Reported: 2018-06-17 07:02 UTC by ro
Modified: 2019-08-19 07:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Exact steps to follow to recreate the problem (2.20 KB, text/plain)
2018-06-17 07:17 UTC, ro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ro 2018-06-17 07:02:36 UTC
Description:
When you format a paragraph using the Area (color, etc.) option, and then press ENTER, both paragraphs and the SPACE BETWEEN THEM have color. Each paragraph should have color, but the space between the paragraphs SHOULD NOT HAVE COLOR.

Steps to Reproduce:
Case 1 - Format Paragraph Borders (don't merge with next paragraph) [works correctly]

	a) Open a new Writer document
	b) Format > Paragraph... > Indents & Spacing > Spacing Above paragraph: "0.20"
	c) Format > Paragraph... > Indents & Spacing > Spacing Below paragraph: "0.20"
	d) Format > Paragraph... > Borders > Line Arrangement Presets: "Set All Four Borders"
	e) Format > Paragraph... > Borders > Properties Merge with next paragraph: "<uncheck>"
	f) Click: "OK"
	f) Type: "Paragraph1"
	g) Press: "ENTER"
	h) Type: "Paragraph2"

	Result: You have two separate paragraphs, with a border around each one.

Case 2 - Format Paragraph Borders (merge with next paragraph) [works correctly]

	a) Open a new Writer document
	b) Format > Paragraph... > Indents & Spacing > Spacing Above paragraph: "0.20"
	c) Format > Paragraph... > Indents & Spacing > Spacing Below paragraph: "0.20"
	d) Format > Paragraph... > Borders > Line Arrangement Presets: "Set All Four Borders"
	e) Format > Paragraph... > Borders > Properties Merge with next paragraph: "<check>"
	f) Click: "OK"
	f) Type: "Paragraph1"
	g) Press: "ENTER"
	h) Type: "Paragraph2"

	Result: You have two separate paragraphs, with one border around both.


Case 3 - Format Paragraph Area [*** does NOT work correctly ***]

	a) Open a new Writer document
	b) Format > Paragraph... > Indents & Spacing > Spacing Above paragraph: "0.20"
	c) Format > Paragraph... > Indents & Spacing > Spacing Below paragraph: "0.20"
	d) Format > Paragraph... > Borders > Line Arrangement Presets: "Set All Four Borders"
	e) Format > Paragraph... > Borders > Properties Merge with next paragraph: "<uncheck>"
	f) Format > Paragraph... > Area > click "Color"
	f) Click: "OK"
	f) Type: "Paragraph1"
	g) Press: "ENTER"
	h) Type: "Paragraph2"

	Result: You have two separate paragraphs, with a border around each one, BUT THE COLOR FILLS IN THE SPACE BETWEEN THE PARAGRAPHS.

	Note: There is no Area "Merge with next paragraph" option to uncheck, as there is under Borders!

Actual Results:
You have two separate paragraphs, with a border around each one, BUT THE COLOR FILLS IN THE SPACE BETWEEN THE PARAGRAPHS.

Expected Results:
You have two separate paragraphs, with a border around each one, BUT THE COLOR SHOULD NOT FILL IN THE SPACE BETWEEN THE PARAGRAPHS.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 ro 2018-06-17 07:17:50 UTC
Created attachment 142812 [details]
Exact steps to follow to recreate the problem

This is a plain text file created on Windows 7.
Comment 2 Dieter Praas 2018-06-17 12:23:10 UTC
Reproducible for me with

Version: 6.1.0.0.beta1 (x64)
Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: en-US (de_DE); Calc: CL
Comment 3 Xisco Faulí 2018-06-18 17:58:32 UTC
Also reproducible in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 QA Administrators 2019-08-19 07:00:48 UTC
Dear ro,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug